import React from 'react';
import { RouteLink } from './route-link';
import { DEFAULT_LOCALE } from '../../constants';


describe('<RouteLink />', () => {
  test('should render snapshot + href', () => {
    const wrapper = shallow(<RouteLink href="/test/" to="/test/" locale={DEFAULT_LOCALE}>Some</RouteLink>);
    expect(wrapper).toMatchSnapshot();
  });

  test('should render snapshot', () => {
    const wrapper = shallow(<RouteLink to="/test/" locale={DEFAULT_LOCALE}>Any</RouteLink>);
    expect(wrapper).toMatchSnapshot();
  });
});
